# $Revision: 1.16 $, $Date: 2009/03/08 09:11:01 $
Summary:	Squirm - A Squid Web Cache Redirector
Summary(pl.UTF-8):	Squirm - przekierowywacz dla Squida
Name:		squirm
Version:	1.26
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://squirm.foote.com.au/%{name}-%{version}.tgz
# Source0-md5:	54ac1d208620ec1e4419f97315d38848
Patch0:		%{name}-Makefile-paths.patch
URL:		http://squirm.foote.com.au/
Requires:	squid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir /etc/squid

%description
Squirm is a fast & configurable redirector for the Squid Internet
Object Cache. It requires the GNU Regex Library (now included in the
Squirm source), and of course, a working Squid. It is available free
under the terms of the GNU GPL.

Squirm has the following features:
- Very, very fast
- Virtually no memory usage
- It can re-read it's config files while running by sending it a HUP
  signal
- Interactive test mode for checking new configs
- Full regular expression matching and replacement
- Config files for patterns and IP addresses.
- If you mess up the config file, Squirm runs in Dodo Mode so your
  squid keeps working :-)

%description -l pl.UTF-8
Squirm jest szybkim i konfigurowalnym narzędziem do przekierowywania
dla Squida (serwera proxy-cache). Wymaga biblioteki GNU Regex
(dołączonej do źródeł) oraz oczywiście działającego Squida.

Ma następujące możliwości:
- bardzo duża szybkość
- prawie zerowe zużycie pamięci
- możliwość ponownego przeczytania konfiguracji w trakcie działania
  przez wysłanie SIGHUP
- interaktywny tryb testowy do sprawdzania nowych konfiguracji
- pełne dopasowywanie i podstawianie z użyciem wyrażeń regularnych
- pliki konfiguracyjne dla wzorców i adresów IP
- przy zepsutym pliku konfiguracyjnym Squirm działa w trybie Dodo, a
  Squid działa nadal.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -funroll-loops -DPREFIX=\\\"/\\\""

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}

install squirm			$RPM_BUILD_ROOT%{_bindir}
install	squirm.conf.dist	$RPM_BUILD_ROOT%{_sysconfdir}/squirm.conf
install	squirm.patterns.dist	$RPM_BUILD_ROOT%{_sysconfdir}/squirm.patterns


%files
%defattr(644,root,root,755)
%doc CREDITS README
%attr(755,root,root) %{_bindir}/*
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirm.spec,v $
Revision 1.16  2009/03/08 09:11:01  duddits
- up to 1.26
- Makefile-paths.patch updated

Revision 1.15  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.13  2007/01/21 17:05:25  darekr
- pass CC

Revision 1.12  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.11  2004/04/26 19:02:10  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.10  2003/05/28 13:02:02  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:26:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/29 22:46:42  ankry
- massive attack: new %%doc

Revision 1.7  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:04  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/18 12:35:36  qboosh
- pl translations; release 2

Revision 1.3  2001/08/10 12:11:48  kloczek
- cosmetics and cleanups.

Revision 1.2  2001/07/27 16:34:10  waszi
- fixes

Revision 1.1  2001/07/27 16:21:00  waszi
- initial release
